VirtualBox

Opened 18 months ago

Last modified 17 months ago

#21147 new defect

Display driver bug causes VM to abort upon start

Reported by: knockout Owned by:
Component: 3D support Version: VirtualBox 7.0.0
Keywords: Cc:
Guest type: other Host type: Mac OS X

Description

I upgraded from VirtualBox 6 to 7 on a Intel MacOS 11.7 host that has a Windows 10 guest. Upon upgrading to v7, the VM would be aborted upon starting with the following error message

VM Name: WIN10

The VM session was aborted.
Result Code:
NS_ERROR_FAILURE (0X80004005)
Component:
SessionMachine
Interface:
ISession {c0447716-ff5a-4795-b57a-ecd5fffa18a4}

I opened a thread on the forums to get help with troubleshooting the issue and they isolated it to a display driver bug (https://forums.virtualbox.org/viewtopic.php?f=8&t=107326) and asked me to open a bug ticket here. They asked me to disable 3D acceleration which makes it start (often freezing after a few minutes now). I have attached the logs I had attached to the forum thread for reference here as well.

Attachments (5)

VirtualBoxCrashReport.log.zip (26.9 KB ) - added by knockout 18 months ago.
Screen Shot 2022-10-11 at 3.08.08 AM.png (505.8 KB ) - added by knockout 18 months ago.
WIN10-2022-10-11-03-07-42.log (88.0 KB ) - added by knockout 18 months ago.
WIN10-2022-10-10-23-01-18.log (89.6 KB ) - added by knockout 18 months ago.
WIN10-2022-10-20-20-58-00.log.zip (22.7 KB ) - added by knockout 18 months ago.
Guest unresponsive log

Download all attachments as: .zip

Change History (9)

by knockout, 18 months ago

by knockout, 18 months ago

by knockout, 18 months ago

comment:1 by kapitainsky, 18 months ago

the same happens with Debian 11 guest on macOS 12.6 - 3D acceleration option ON causes VM to crash. When OFF it works. Let me know if you need any logs etc. Happy to provide it and make virtualbox 7 working.

by knockout, 18 months ago

Guest unresponsive log

comment:2 by knockout, 18 months ago

Upgraded to VirtualBox 7.0.2. The guest VM freezes within the first 1-5 minutes of OS booting. I have the latest log file attached. Let me know if I need to provide any additional info to troubleshoot.

Last edited 18 months ago by knockout (previous) (diff)

comment:3 by khb4711, 17 months ago

Is this a duplicate of #21232 which was fixed with 7.0.4? Going to test later, today. I was monitoring this one and didn't realize there was progress on the other one.

comment:4 by khb4711, 17 months ago

Well, I cannot report success.
Installed 7.0.4, started a WIN10 VM with 3D and (while I no longer got a crash) I could not log in but got some garbled display instead. So, I booted the VM up without 3D support, uninstalled VBox Guest Additions and reinstalled the 7.0.4 version, rebooted a couple of times, then stopped the VM, turned 3D back on and started again ... to no betterment.
Something seems to be running, because when I try to connect via RDP (to the VM, not the VirtualBox RDP) it asks me for username and password, but then complains that the graphics subsystem couldn't be started on the remote system. So, it's no longer crashing but it's not working either.

00:00:15.228190 HDA: Reset
00:00:15.289809 xHCI: Hardware reset
00:00:15.299964 xHCI: Root hub-attached device reset completed with VINF_SUCCESS
00:00:15.412435 xHCI: USB Operational
00:00:15.525779 HDA: Codec reset
00:00:17.043067 NAT: Link up
00:00:17.526353 NAT: IPv6 not supported
00:00:22.257328 AIOMgr: Host limits number of active IO requests to 16. Expect a performance impact.
00:00:23.684897 VMMDev: Guest Log: VBoxMP::vboxWddmPickResources: found the VBE card
00:00:23.685074 VMMDev: Guest Log: VBoxMP::DxgkDdiStartDevice: Handling complex topologies enabled
00:00:23.690498 VMMDev: Guest Log: VBoxMP::DxgkDdiStartDevice: using HGSMI
00:00:23.691163 GUI: UIFrameBufferPrivate::IsVideoModeSupported: Mode: BPP=32, Size=1920x1440 is NOT supported
00:00:23.691369 VMMDev: Guest Log: VBoxMP::vboxWddmVModesAdd: WARNING! :resolution 1920x1440 not accepted by the frontend
00:00:23.691569 VMMDev: Guest Log: VBoxMP::voxWddmVModesInitForTarget: WARNING! :vps(0x57)!=NO_ERROR
00:00:23.692096 VMMDev: Guest Log: VBoxMP::voxWddmVModesInitForTarget: WARNING! :vps(0x57)!=NO_ERROR
00:00:23.692551 VMMDev: Guest Log: VBoxMP::DxgkDdiStartDevice: WDDM: VRAM 0xe0000000/0x10000000, FIFO 0xf0400000/0x200000, IO 0xc030/0x10
00:00:23.696001 Enabling different vbva mode
00:00:23.735032 VMMDev: Guest Log: VBoxMP::DxgkDdiQueryAdapterInfo: DXGKQAITYPE_QUERYSEGMENT3 treating as unsupported!
00:00:25.738588 VMMDev: Guest Log: 14:20:15.042150 main     VBoxService 7.0.4 r154605 (verbosity: 0) win.amd64 (Nov 16 2022 16:30:30) release log
00:00:25.738657 VMMDev: Guest Log: 14:20:15.042150 main     Log opened 2022-11-23T14:20:15.042150500Z
00:00:25.738746 VMMDev: Guest Log: 14:20:15.042150 main     OS Product: Windows 10
00:00:25.738802 VMMDev: Guest Log: 14:20:15.042150 main     OS Release: 10.0.19044
00:00:25.738851 VMMDev: Guest Log: 14:20:15.042150 main     OS Service Pack: 
00:00:25.738917 VMMDev: Guest Log: 14:20:15.042150 main     Executable: C:\WINDOWS\System32\VBoxService.exe
00:00:25.738938 VMMDev: Guest Log: 14:20:15.042150 main     Process ID: 1432
00:00:25.738950 VMMDev: Guest Log: 14:20:15.042150 main     Package type: WINDOWS_64BITS_GENERIC
00:00:25.745007 VMMDev: Guest Log: 14:20:15.042150 main     7.0.4 r154605 started. Verbose level = 0
00:00:25.746563 NAT: DHCP offered IP address 10.0.2.15
00:00:25.752897 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
00:00:25.752927 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=1, Machine-state=6
00:00:25.753491 VMMDev: Guest Log: 14:20:15.042150          vbglR3GuestCtrlDetectPeekGetCancelSupport: Supported (#1)
00:00:25.754047 Guest Control: GUEST_MSG_REPORT_FEATURES: 0xf, 0x8000000000000000
00:00:25.756358 VMMDev: Guest Log: 14:20:15.042150          vgsvcTimeSyncInit: Initially 156250 (100ns) units per 156250 (100 ns) units interval, disabled=1
00:00:25.771569 GUI: UISession::sltAdditionsChange: GA state really changed, notifying listeners
00:00:25.771655 GUI: UIMachineViewNormal::adjustGuestScreenSize: Adjust guest-screen size if necessary
00:00:25.771703 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
00:00:25.771719 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=1, Machine-state=6
00:00:25.960237 VMMDev: Guest Log: WDDM: adapter capabilities 0x0000000B
00:02:04.755858 Display::i_handleDisplayResize: uScreenId=0 pvVRAM=00007f9fcc700000 w=1400 h=1050 bpp=32 cbLine=0x15E0 flags=0x1 origin=0,0
00:02:05.100648 GUI: UIMediumEnumerator: Medium-enumeration finished!
00:02:10.435598 VMMDev: Guest Log: VBOXNP: DLL loaded.
00:02:10.877038 VMMDev: Guest Log: VBOXNP: DLL unloaded.
00:04:59.806745 VMMDev: Guest Log: Windows version 10.0 build 19044 (uNtVersion=0xa0000000004a64)
00:04:59.807263 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
00:04:59.807309 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=1, Machine-state=6
00:04:59.821448 VMMDev: Guest Log: Starting services ...
00:04:59.821560 VMMDev: Guest Log: Starting service 'display' ...
00:04:59.823938 VMMDev: Guest Log: Service 'display' started
00:04:59.823995 VMMDev: Guest Log: Starting service 'clipboard' ...
00:04:59.824126 VMMDev: Guest Log: Shared Clipboard: New Clipboard API enabled
00:04:59.827749 VMMDev: Guest Log: Service 'clipboard' started
00:04:59.827794 VMMDev: Guest Log: Starting service 'seamless' ...
00:04:59.827911 VMMDev: Guest Additions capability report: (0x0 -> 0x1) seamless: yes, hostWindowMapping: no, graphics: no
00:04:59.828198 VMMDev: Guest Log: Service 'seamless' started
00:04:59.828252 VMMDev: Guest Log: Starting service 'VRDP' ...
00:04:59.828648 VMMDev: Guest Log: Service 'VRDP' started
00:04:59.828693 VMMDev: Guest Log: Starting service 'IPC' ...
00:04:59.829869 VMMDev: Guest Log: VBoxIPCInit: Local IPC server now running at "\\.\pipe\VBoxTrayIPC-karlh"
00:04:59.830201 VMMDev: Guest Log: Service 'IPC' started
00:04:59.830250 VMMDev: Guest Log: Starting service 'LA' ...
00:04:59.830324 VMMDev: Guest Log: LA: RegQueryValueExW: failed [SOFTWARE\Oracle\VirtualBox Guest Additions/VBoxTrayLog]
00:04:59.830428 VMMDev: Guest Log: LA: RegQueryValueExW: failed [SOFTWARE\Oracle\VirtualBox Guest Additions/VBoxTrayLA]
00:04:59.830514 VMMDev: Guest Log: LA: DetachOnDisconnect=true
00:04:59.831066 VMMDev: Guest Log: Service 'LA' started
00:04:59.831133 VMMDev: Guest Log: Starting service 'draganddrop' ...
00:04:59.831972 GUI: UISession::sltAdditionsChange: GA state really changed, notifying listeners
00:04:59.832001 GUI: UIMachineViewNormal::adjustGuestScreenSize: Adjust guest-screen size if necessary
00:04:59.832041 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
00:04:59.832051 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=1, Machine-state=6
00:04:59.844569 VMMDev: Guest Log: DnD: Drag and drop service successfully started
00:04:59.844802 VMMDev: Guest Log: Service 'draganddrop' started
00:04:59.844926 VMMDev: Guest Log: All services started
00:04:59.866599 VMMDev: Guest Additions capability report: (0x1 -> 0x5) seamless: yes, hostWindowMapping: no, graphics: yes
00:04:59.869546 GUI: UISession::sltAdditionsChange: GA state really changed, notifying listeners
00:04:59.869568 GUI: UIMachineViewNormal::adjustGuestScreenSize: Adjust guest-screen size if necessary
00:04:59.869592 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
00:04:59.869599 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=1, Machine-state=6
00:04:59.872690 GUI: UISession::sltAdditionsChange: GA state really changed, notifying listeners
00:04:59.872932 GUI: UIMachineViewNormal::adjustGuestScreenSize: Adjust guest-screen size if necessary
00:04:59.872960 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
00:04:59.872968 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=1, Machine-state=6
00:05:06.572428 VMMDev: Guest Additions capability report: (0x5 -> 0x0) seamless: no, hostWindowMapping: no, graphics: no
00:05:06.579771 GUI: UISession::sltAdditionsChange: GA state really changed, notifying listeners
00:05:06.580015 GUI: UIMachineViewNormal::adjustGuestScreenSize: Adjust guest-screen size if necessary
00:05:06.580094 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
00:05:06.580117 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=1, Machine-state=6
00:05:07.965998 VMMDev: Guest Log: vboxDispIfEscapeWDDM: VBoxTray: pfnD3DKMTEscape(0xABCD9017) failed Status 0xc00000bb
00:05:07.996208 VMMDev: Guest Log: Shared Clipboard: WM_CLIPBOARDUPDATE failed with VERR_ACCESS_DENIED
Note: See TracTickets for help on using tickets.

© 2023 Oracle
ContactPrivacy policyTerms of Use